@import 'variables';
@import '~bootstrap/scss/bootstrap';
@import '~sweetalert2/src/sweetalert2';

@import 'elements/card';
@import 'elements/navbar';
@import 'elements/buttons';
@import 'elements/transitions';

html {
  font-family: Lato, 'Helvetica Neue', Arial, Helvetica, sans-serif;
  font-size: 14px;
}

h5 {
  font-size: 1.28571429em;
  font-weight: 700;
  line-height: 1.2857em;
  margin: 0;
}


button:focus {
  box-shadow: none !important;
  outline-width: 0;
}


.card-blog {
  font-size: 1em;
  overflow: hidden;
  padding: 0;
  border: none;
  border-radius: .28571429rem;
  box-shadow: 0 1px 3px 0 #d4d4d5, 0 0 0 1px #d4d4d5;
  max-height: 400px;
  min-height: 400px;
}

.card-block {
  font-size: 1em;
  position: relative;
  margin: 0;
  border: none;
  border-top: 1px solid rgba(34, 36, 38, .1);
  box-shadow: none;
  width:100%;
  height:120px;
}

.card-img-top {
  display: block;
  width: 100%;
  height: 200px;
}

.card-title {
  font-size: 1.28571429em;
  font-weight: 700;
  line-height: 1.2857em;
}

.card-text {
  clear: both;
  margin-top: .5em;
  color: rgba(0, 0, 0, .68);
}

.card-text p {
  overflow: hidden;
  position: relative;
  line-height: 1.2em;
  max-height: 3.6em;
  text-align: justify;
}

.card-text p:before {
  position: absolute;
  right: 0;
  bottom: 0;
}
.card-text p:after {
  content: '';
  position: absolute;
  right: 0;
  background: white;
}

.card-footer {
  font-size: 1em;
  position: static;
  top: 0;
  left: 0;
  max-width: 100%;
  padding: .75em 1em;
  color: rgba(0, 0, 0, .4);
  border-top: 1px solid rgba(0, 0, 0, .05) !important;
  background: #fff;
}

.card-inverse .btn {
  border: 1px solid rgba(0, 0, 0, .05);
}

.profile {
  position: absolute;
  top: -12px;
  display: inline-block;
  overflow: hidden;
  box-sizing: border-box;
  width: 25px;
  height: 25px;
  margin: 0;
  border: 1px solid #fff;
  border-radius: 50%;
}

.profile-avatar {
  display: block;
  width: 100%;
  height: 100%;
  border-radius: 50%;
}

.profile-inline {
  position: relative;
  top: 0;
  display: inline-block;
}

.profile-inline ~ .card-title {
  display: inline-block;
  margin-left: 4px;
  vertical-align: top;
}

.text-bold {
  font-weight: 700;
}

.meta {
  font-size: 1em;
  color: rgba(0, 0, 0, .4);
}

.meta a {
  text-decoration: none;
  color: rgba(0, 0, 0, .4);
}

.meta a:hover {
  color: rgba(0, 0, 0, .87);
}


